Skip to main content
GET
/
guardrails
List guardrails
curl --request GET \
  --url https://openrouter.ai/api/v1/guardrails \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "allowed_models": null,
      "allowed_providers": [
        "openai",
        "anthropic",
        "google"
      ],
      "created_at": "2025-08-24T10:30:00Z",
      "description": "Guardrail for production environment",
      "enforce_zdr": false,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "ignored_models": null,
      "ignored_providers": null,
      "limit_usd": 100,
      "name": "Production Guardrail",
      "reset_interval": "monthly",
      "updated_at": "2025-08-24T15:45:00Z",
      "workspace_id": "0df9e665-d932-5740-b2c7-b52af166bc11"
    }
  ],
  "total_count": 1
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

offset
integer | null

Number of records to skip for pagination

Required range: x >= 0
Example:

0

limit
integer

Maximum number of records to return (max 100)

Required range: 1 <= x <= 100
Example:

50

workspace_id
string<uuid>

Filter guardrails by workspace ID. By default, guardrails in the default workspace are returned.

Example:

"0df9e665-d932-5740-b2c7-b52af166bc11"

Response

List of guardrails

data
object[]
required

List of guardrails

total_count
integer
required

Total number of guardrails

Example:

25